GroovyParser.AssignmentExprAltContext (Groovy 4.0.10)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.AssignmentExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.AssignmentExprAltContext

-     public static class GroovyParser.AssignmentExprAltContext
      extends GroovyParser.ExpressionContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `GroovyParser.ExpressionContext` | `left` |
    `Token` | `op` |
    `GroovyParser.EnhancedStatementExpressionContext` | `right` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AssignmentExprAltContext(GroovyParser.ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ADD_ASSIGN()`
    `` | `public TerminalNode` | `AND_ASSIGN()`
    `` | `public TerminalNode` | `ASSIGN()`
    `` | `public TerminalNode` | `DIV_ASSIGN()`
    `` | `public TerminalNode` | `ELVIS_ASSIGN()`
    `` | `public TerminalNode` | `LSHIFT_ASSIGN()`
    `` | `public TerminalNode` | `MOD_ASSIGN()`
    `` | `public TerminalNode` | `MUL_ASSIGN()`
    `` | `public TerminalNode` | `OR_ASSIGN()`
    `` | `public TerminalNode` | `POWER_ASSIGN()`
    `` | `public TerminalNode` | `RSHIFT_ASSIGN()`
    `` | `public TerminalNode` | `SUB_ASSIGN()`
    `` | `public TerminalNode` | `URSHIFT_ASSIGN()`
    `` | `public TerminalNode` | `XOR_ASSIGN()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.EnhancedStatementExpressionContext` | `enhancedStatementExpression()`
    `` | `public GroovyParser.ExpressionContext` | `expression()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.ExpressionContext` | `copyFrom, getRuleIndex`
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public GroovyParser.ExpressionContext left

    - #### public Token op

    - #### public GroovyParser.EnhancedStatementExpressionContext right

  - ### Constructor Detail

    - #### public AssignmentExprAltContext(GroovyParser.ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode ADD_ASSIGN()

    - #### public TerminalNode AND_ASSIGN()

    - #### public TerminalNode ASSIGN()

    - #### public TerminalNode DIV_ASSIGN()

    - #### public TerminalNode ELVIS_ASSIGN()

    - #### public TerminalNode LSHIFT_ASSIGN()

    - #### public TerminalNode MOD_ASSIGN()

    - #### public TerminalNode MUL_ASSIGN()

    - #### public TerminalNode OR_ASSIGN()

    - #### public TerminalNode POWER_ASSIGN()

    - #### public TerminalNode RSHIFT_ASSIGN()

    - #### public TerminalNode SUB_ASSIGN()

    - #### public TerminalNode URSHIFT_ASSIGN()

    - #### public TerminalNode XOR_ASSIGN()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.EnhancedStatementExpressionContext enhancedStatementExpression()

    - #### public GroovyParser.ExpressionContext expression()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)